<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MainActivity"
    android:background="@color/light_gray">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:layout_marginEnd="32dp"
        android:gravity="center"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <Button
            android:id="@+id/buttonGotoSetting"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="#000000"
            android:textSize="24sp"
            android:text="@string/binding_machine" />

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp" />

        <Button
            android:id="@+id/buttonGotoSystemSet"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="#000000"
            android:textSize="24sp"
            android:text="@string/system_setting"
            tools:ignore="VisualLintButtonSize" />

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp" />

        <Button
            android:id="@+id/buttonGotoProductList"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="#000000"
            android:textSize="24sp"
            android:text="@string/product_list"
            />

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp" />

        <Button
            android:id="@+id/buttonGotoSlotList"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="#000000"
            android:textSize="24sp"
            android:text="@string/cargo_lane_management" />

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp" />

        <Button
            android:id="@+id/buttonGotoShoppingPlatform"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="#000000"
            android:textSize="24sp"
            android:text="@string/shopping_platform" />

        <View
            android:layout_width="match_parent"
            android:layout_height="9dp" />

        <View
            android:layout_width="match_parent"
            android:background="@color/black"
            android:layout_height="2dp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="9dp" />

        <Button
            android:id="@+id/buttonGotoSettingTest"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="@color/white"
            android:text="@string/set_value_detection"
            android:textSize="24sp"
            android:textColor="@color/black"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp" />

        <Button
            android:id="@+id/buttonGotoDebug"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="@color/white"
            android:text="@string/infor_debug_window"
            android:textSize="24sp"
            android:textColor="@color/black"
            tools:ignore="VisualLintButtonSize" />

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp" />

        <Button
            android:id="@+id/buttonNfcCheckout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="@color/white"
            android:text="@string/card_machine_checkout"
            android:textSize="24sp"
            android:textColor="@color/black"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp" />

        <Button
            android:id="@+id/buttonNfcReset"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="@color/white"
            android:text="@string/card_machine_restart"
            android:textSize="24sp"
            android:textColor="@color/black"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp" />

        <Button
            android:id="@+id/buttonQrCodeTest"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="@color/white"
            android:text="@string/scan_dock_test"
            android:textSize="24sp"
            android:textColor="@color/black"/>

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp" />

        <Button
            android:id="@+id/buttonGotoXyshj"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="@color/white"
            android:text="@string/slave_machine_software"
            android:textSize="24sp"
            android:textColor="@color/black"
            tools:ignore="VisualLintButtonSize" />

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp" />

        <Button
            android:id="@+id/buttonGotoCash"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="@color/white"
            android:text="紙鈔/現金模組"
            android:textSize="24sp"
            android:textColor="@color/black"
            tools:ignore="VisualLintButtonSize" />

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp" />

        <Button
            android:id="@+id/buttonGotoXyshjTest"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="@color/white"
            android:text="@string/slave_machine_detection"
            android:textSize="24sp"
            android:textColor="@color/black"
            android:visibility="gone"
            tools:ignore="VisualLintButtonSize" />

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp" />

        <Button
            android:id="@+id/buttonGotoElectricControllerTest"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="@color/white"
            android:text="@string/electronic_controller_detection"
            android:textSize="24sp"
            android:visibility="gone"
            android:textColor="@color/black"
            tools:ignore="VisualLintButtonSize" />

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp" />

        <Button
            android:id="@+id/buttonOtherTest"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="@color/white"
            android:minHeight="32dp"
            android:visibility="gone"
            android:text="@string/other_test"
            android:textColor="@color/black"
            android:textSize="24sp" />
        <View
            android:layout_width="match_parent"
            android:layout_height="10dp" />

        <Button
            android:id="@+id/buttonClearAds"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="@color/white"
            android:minHeight="32dp"
            android:text="刪除本地端廣告"
            android:textColor="@color/black"
            android:textSize="24sp" />
        <View
            android:layout_width="match_parent"
            android:layout_height="10dp" />

        <Button
            android:id="@+id/buttonresetapp"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:backgroundTint="@color/white"
            android:minHeight="32dp"
            android:text="重啟APP"
            android:textColor="@color/black"
            android:textSize="24sp" />
    </LinearLayout>


</androidx.constraintlayout.widget.ConstraintLayout>